
From: Andrew Morton <akpm@osdl.org>

drivers/fc4/fc.c: In function `fcp_scsi_dev_reset':
drivers/fc4/fc.c:933: warning: control reaches end of non-void function

Cc: James Bottomley <James.Bottomley@steeleye.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/fc4/fc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/fc4/fc.c~fc4-warning-fix drivers/fc4/fc.c
--- 25-sparc64/drivers/fc4/fc.c~fc4-warning-fix	2005-07-14 21:34:22.000000000 -0700
+++ 25-sparc64-akpm/drivers/fc4/fc.c	2005-07-14 21:34:30.000000000 -0700
@@ -1004,8 +1004,8 @@ int fcp_scsi_dev_reset(Scsi_Cmnd *SCpnt)
 		return FAILED;
 	}
 	fc->rst_pkt->eh_state = SCSI_STATE_UNUSED;
-	return SUCCESS;
 #endif
+	return SUCCESS;
 }
 
 static int __fcp_scsi_host_reset(Scsi_Cmnd *SCpnt)
_
